import { Component, OnInit, Input, Output, EventEmitter } from "@angular/core";
import host from "../../../assets/js/http";
@Component({
  selector: "app-prompt-modal",
  templateUrl: "./prompt-modal.component.html",
  styleUrls: ["./prompt-modal.component.less"],
})
export class PromptModalComponent implements OnInit {
  host = host.host;
  @Input() content: string;
  @Input() success: boolean;
  @Input() show: boolean;
  @Input() info: string;
  @Input() back: string = "";
  @Input() isReLoad: Boolean = false;
  @Input() loading: Boolean = false;
  @Input() previewImage: string = "";
  // @Input() nUrl: string;

  @Output() closeModel = new EventEmitter<any>(); //1.组件暴露一个 EventEmitter 属性，当事件发生时，子组件利用该属性 emits(向上弹射)事件

  constructor() {}
  // constructor(private router: Router) {}

  ngOnInit() {
    console.log(this.show);
    console.log(this.previewImage);
  }
  hideModal() {
    this.show = false;
    this.closeModel.emit(this.back); //emits(向上弹射)事件
    // if(this.nUrl){
    //   this.router.navigateByUrl(this.nUrl);
    // }
    if (this.isReLoad) {
      location.reload(true);
    }
  }
}
