import {
  HttpInterceptor,
  HttpEvent,
  HttpHandler,
  HttpRequest,
  HttpResponse,
} from "@angular/common/http";
import { Observable } from "rxjs";
import { tap } from "rxjs/operators";
// const ignoreToken = ['login', 'logout', 'table'];
export class HttpInterceptorService implements HttpInterceptor {
  constructor() {}
  intercept(
    req: HttpRequest<any>,
    next: HttpHandler
  ): Observable<HttpEvent<any>> {
    // const url = req.url;
    // const needToken = ignoreToken.filter(u => url.match(u));
    // 过滤掉不需要token的请求
    // if (!needToken.length) {
    //   req = req.clone({
    //     url
    //   });
    // } else {
    //   req = req.clone({
    //     url,
    //     headers: req.headers.set('token', 'asdqwe')
    //   });
    // }
    return next.handle(req).pipe(
      tap(
        (event) => {
          if (event instanceof HttpResponse) {
            // console.log(event);
          }
        },
        (error) => {
          console.log(error);
        }
      )
    );
  }
}
